/******************************************************** Text Preview *********************************************************/
function saveText() /*saves the text file*/
{
	var oldfile, newfile;
	var txtareacontent = textpreview.value;
	oldfile = fso.GetFile(item.path);
	bAtttribs = sAttributes.indexOf(gAttributeNames[1]);
	try
	{
		if (bAtttribs || (!bAtttribs && confirm("This file is Read-only. Reset that attribute through the file's properties to \nedit the file.If this is not the case, then an unknown error has been generated. Try resetting the Read-only attribute and saving now?")))
		{
			oldfile.Delete(1);
			newfile = fso.CreateTextFile(item.path,1);
			newfile.Write(txtareacontent);
			newfile.Close();
			window.status ="File successfully saved.";
			var tout = window.setTimeout("window.status = '';", 3000);
		}
	}
	catch(e){}
}
/**************************************************** End Text preview block *****************************************************/
/*********************************************************  Zip file functions ****************************************************/
function unzip(index) /*unzip routine using translha.ocx.*/
{
	try
	{
		TransLHActrl.eArcFileName = item.path;
		bPathInfo.checked ? TransLHActrl.swFolderName = true : TransLHActrl.swFolderName = false;
		bSubFldr.checked ? TransLHActrl.eFolder = thisfolder + "\\" + (item.name.indexOf(".")>-1 ? item.name.substring(0,item.name.lastIndexOf(".")) : item.name) : TransLHActrl.eFolder = thisfolder;
		if (index != -1) 	TransLHActrl.eAddFile(TransLHActrl.oFilesList(index));
		TransLHActrl.Extract();
	}
	catch(e){}
}

function EditTag(tagnum)
{
	if (!gWantMedia)
	if (sAttributes && sAttributes.indexOf(gAttributeNames[1])<0)
	{
		switch (tagnum)
		{
			case 0 : var newtag = prompt("Edit the tag", mp3Obj.Song);  if (newtag != null) mp3Obj.Song = newtag;break;
			case 1 : var newtag = prompt("Edit the tag", mp3Obj.Artist);  if (newtag != null) mp3Obj.Artist = newtag;break;
			case 2 : var newtag = prompt("Edit the tag", mp3Obj.Album);  if (newtag != null) mp3Obj.Album = newtag;break;
			case 3 : var newtag = prompt("Edit the tag", mp3Obj.Comment);  if (newtag != null) mp3Obj.Comment = newtag;break;
		}
		mp3Obj.Save();
	}
	else { window.status = "File is Set to be 'Read Only'"; window.setTimeout("window.status = ''", 1000); }
	else { window.status = "Disable Preview first."; window.setTimeout("window.status = ''", 1000); }
	reSelect(item);
}

function togglemediapreview(state)
{
	gWantMedia = state;
	reSelect(item);
}

/*****************************************************************************************************************************/
/* This is a recursive function that lists out the contents of a folder, giving hyperlinks to navigate to subfolders upto n levels. quite like an entirely DHTML folders pane. go figure.*/
/*****************************************************************************************************************************/
function subFolderList(num, num2) /*recursive function*/
{
	var str = '', pathobj, pth, sub, coll, wlink, th, expcolobj,hrefstr;
	pathobj = document.getElementById('fpath' + num + num2);
	pth = pathobj.tg; /*tg is an arbitrary tag which has a value of the current branch path*/
	fldrArray[num + num2] = fso.GetFolder(pth);
	sub = fldrArray[num + num2];
	coll = new Enumerator(sub.SubFolders);
	wlink = "link" + num + num2;
	th = document.getElementById(wlink); /*the span object in which subfolder list will be inserted*/
	expcolobj = document.getElementById("expcol" + num + num2); /*the +/- img file object*/
	if (!th.innerHTML && sub.SubFolders.count)
	{
		for (;!coll.atEnd() ; coll.moveNext())
		{
			str =coll.item().name;
			hrefstr = coll.item().path;
			hrefstr = hrefstr.replace("'","&#39;");
			fldrArray[num + digit2] = fso.GetFolder(coll.item().path);
			th.innerHTML += "<a href='javascript:void 0' onclick='subFolderList(" + num + "," + digit2 + ")'><br /><span id='expcol" + num + digit2 + "' style='position:relative;margin-left:" + (num2==0 ? 20: event.screenX) + "' class='expglyph'></span></a>";
			th.innerHTML += "<span id='glyph12' class='glyph'></span>&nbsp;<a href='" + hrefstr + "' id='fpath" + num + digit2 + "' tg='" + hrefstr + "' />" + str + "</a>";
			th.innerHTML += "<span id='link" + num + digit2 + "' style='display:none'></span>";
			digit2++;
		}
	}
	else
	{
		if (!(sub.SubFolders.count || th.innerHTML))
		{
			th.innerHTML += "<br /><span style='vertical-align:25%;margin-left:" + event.screenX + ";'>|<span style='margin-left:-2;margin-right:2;' >&#151;</span></span> (No Subfolders) ";
		}
	}
	toggle(th);
	th.style.display=='' ?  expcolobj.className = 'colglyph' : expcolobj.className = 'expglyph';
}

/************************************************ Sub-files of the selected Folder  ***************************************************/
function ShowFileList(file)
{
	var fldr, fc2, filecnt, s = "", i=0, subFileNum=0,percent;
	var Max_SubFiles = 20; /*number of subfiles that are seen.*/
	fldr = fso.GetFolder(file.Path);
	fc2 = new Enumerator(fldr.Files);
	filecnt = fldr.Files.Count;
	var folderSize = fldr.size;
	for (;!fc2.atEnd() ;fc2.moveNext())
	{
		try
		{
			percent = Math.round(fc2.item().size/folderSize * 100);
			subFileObjs[subFileNum] = fc2.item().path;
			s += "<br />";
			s += "<a href='javascript:void 0' title='Click to execute' style='margin-left:18px' id='" + subFileNum + "' onclick='runFile(" + subFileNum + ")'><span id='fileglyph' class='glyph'></span>" + fc2.item().name + "</a>" + "&nbsp(" + FormatNumber(fc2.item().size.toString()) + " bytes," + percent + "%)";
			i++;
			subFileNum++;
			if (i==Max_SubFiles) break;
		}
		catch(e){}
	}
	i<filecnt ? s += "<br />(Only " + i + " of " + filecnt + " subfiles shown)" : s += "<br />(All Subfiles shown)";
	return s;
}

function runFile(num)
{
	try
	{
		var WSHShell = new ActiveXObject("WScript.Shell");
		WSHShell.Run(fso.GetFile(subFileObjs[num]).ShortPath);
	}
	catch(e){ window.status = "Unable to execute file!" ; window.setTimeout("window.status = ''", 1000); }
}

/************************************** General function to format output of other functions etc. *****************************************/
function FormatNumber(n)
{
	/*function used to format number by inserting commas.*/
	var s = "";
	var i, j = 0;
	for (i = n.length - 1; i >= 0; i--)
	{
		s = n.charAt(i) + s;
		if (i && ((++j % 3)==0))
		s = "," + s;
	}
	return s;
}

/************************************* Special Filetype detect - audio/video/text etc. ***************************************************/
function IsPreviewableFile(category, ext)
{
	var previewtype='';
	var videotypes = ",asf,asx,avi,dat,m1v,mov,mp2,mpa,mpe,mpeg,mpg,mpv2,qt,wmv,";
	var audiotypes = ",aif,aiff,au,mid,midi,rmi,snd,wav,mp3,m3u,wma,";
	/*add any other filetypes that WiMP supports.*/
	var txttypes = ",3dc,asp,bas,bat,c,cdf,cgi,conf,css,cpp,def,diz,dsp,dsw,frm,h,htc,htm,html,htt,inf,ini,java,js,log,lsp,nfo,pas,php,php3,pl,rc,reg,scc,txt,vbp,vbs,vbw,wri,wsc,wsf,xml,xul,xsl,";
	/*add any more types that you like.*/
	var realtypes = ",ra,rm,ram,";
	var imagetypes = ",bmp,gif,jpe,jpeg,jpg,png,";
	var thumbtypes = ",html,htm,mht,eml,";
	var archivetypes = ",zip,cab,rar,";
	var directimagetypes = ",ico,wmf,";
	var FileTypeArr = new Array(videotypes,audiotypes,txttypes,realtypes,imagetypes,thumbtypes,archivetypes,directimagetypes);
	if (category != null) previewtype = FileTypeArr[category];
	else for (n=0;n<FileTypeArr.length;n++) previewtype += FileTypeArr[n];
	return previewtype.indexOf(","+ext+",") > -1;
}
/******************************************** End Special audio/video/text file preview ***********************************************/


/********************************************* Function executed through the panes ************************************************/
function vebdir()
{
	var fso2 = new ActiveXObject("Scripting.FileSystemObject");
	window.open(fso2.GetSpecialFolder(0) + "\\Web\\readme.html");
}

function find()
{
	var shell = new ActiveXObject("Shell.Application");
	try{ shell.ShowBrowserBar("{C4EE31F3-4768-11D2-BE5C-00A0C9A83DA1}", true); /*me/2k/xp*/}
	catch(e) { shell.FindFiles(); /*98*/}
}

function shutdown(opt)
{
	try { var WSHShell = new ActiveXObject("WScript.Shell"); WSHShell.SendKeys("%{F4}"); }
	catch(e){}
	if (opt)
	{
		var obj = new ActiveXObject("Shell.Application");
		obj.ShutdownWindows();
	}
}

function copymoveto(operation)
{
	var obj = new ActiveXObject("Shell.Application");
	var s = "Choose Destination Folder to which you want the Items to be ";
	operation == 0 ? s+= "copied." : s+= "moved.";
	var returnval = obj.BrowseForFolder(0, s, 0,0);
	try
	{
		if (FileList.SelectedItems().count > 0 && returnval != null)
			for ( p = 0; p < FileList.SelectedItems().count ; p++)
				(operation==0) ?/*copy*/ returnval.CopyHere(FileList.SelectedItems().Item(p)) : /*move*/ returnval.MoveHere(FileList.SelectedItems().Item(p));
	}
	catch(e){ window.status = "No Object Selected To copy";}
}

function doVerb(vVerb)
{
	var sCount = FileList.SelectedItems().count;
	if (sCount >= 1)
		for ( p = 0; p < sCount ; p++)
			FileList.SelectedItems().Item(p).InvokeVerb(vVerb);
	else if (sCount==0)
	{
		window.status="Nothing Selected to perform the Selected action.";
		window.setTimeout("window.status = ''", 1000);
	}
}

function newFolder()
{
	try
	{
		var nf = newfoldername.value;
		if (!nf) nf = "New Folder";
		var fso = new ActiveXObject("Scripting.FileSystemObject");
		fso.DriveExists(thisfolder) ? fso.CreateFolder(thisfolder + nf) : fso.CreateFolder(thisfolder + '\\' + nf);
		newfoldername.value = '';
	}
	catch(e)
	{
		switch (e.number)
		{
			case -2146828212 : 	window.status = "Invalid characters in Folder name : / \ = * < > | ";
			case -2146828218 : window.status = "Permission Denied.";
			default : window.status = "Error while creating folder.";
		}

	}
}

function runapplet(applet) /*runs any control panel applet. takes name of the applet as argument.*/
{
	var obj = new ActiveXObject("Shell.Application");
	obj.ControlPanelItem(applet);
	/*check virtualplastic.net for other cpls.*/
}


function exploreRoot() /*"opens" in a new window.*/
{
	if (thisfolder != NameSpace[0])
	{
		var s = "";
		s = thisfolder.substring(0,2);
		try { var WSHShell = new ActiveXObject("WScript.Shell"); WSHShell.Run("explorer " + s); }
		catch(e) { window.open(s);}
	}
}

function setwrap() { textpreview.wrap=="off" ? textpreview.wrap = "soft" : textpreview.wrap = "off"; }

function toggle(e) { e.style.display=="none" ? e.style.display = "" : e.style.display = "none"; }

function showinfobox()
{
	vprocess = !vprocess;
	data = FileList.SelectedItems().Count;
	if (data==1) reSelect(item);
}

function customize()
{
	try
	{
		var sysdir = SystemFolder;
		var OS; /*Operating system*/
		var ua = navigator.userAgent;
		ua.indexOf("Windows 95")>=1 ? OS = "Win95" : ua.indexOf("Windows 98")>=1 ? OS = "Win98" : ua.indexOf("Windows NT 5.1")>=1 ? OS = "WinXP" : ua.indexOf("Windows NT")>=1 ? OS = "WinNT" : OS = "Win98";
		if (OS=="WinNT") sysdir += "32";
		var custfolder = sysdir + "\\IESHWIZ.exe" + " " + thisfolder;
		var WSHShell = new ActiveXObject("WScript.Shell");
		WSHShell.Run(custfolder);
	}
	catch(e){ window.status = "Unable to run the Folder Customization wizard."; }
}

function hide()   /* hides/unhides files/folders in explorer.*/
{
	var vis_Text = "Files with the Hidden attribute are visible Right now . Do you want to Hide them? ";
	var invis_Text = "Files with the Hidden attribute are hidden Right now . Do you want to Unhide them? ";
	var Refresh_Text = "Perform a right click refresh after pressing yes to update view. F5 does not work.";
	var keyType = "REG_DWORD";
	try
	{

		var WSHShell = new ActiveXObject("WScript.Shell");
		var Regkey = "HKCU\\Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Advanced\\Hidden";
		var value = WSHShell.RegRead(Regkey);
		if (value) /*Hidden files are Visible*/
		{ if (confirm(vis_Text + Refresh_Text)) WSHShell.RegWrite(Regkey, 0, keyType); }
		else /*Hidden files are not Visible*/
		{ if (confirm(invis_Text + Refresh_Text)) WSHShell.RegWrite(Regkey, 1, keyType); }
		location = location;
	}
	catch(e){}
}

function goToSpecialFolder(elem, n)
{
	var fso = new ActiveXObject("Scripting.FileSystemObject");
	var SFldrArr = new Array(NameSpace[0],NameSpace[1],NameSpace[2],fso.GetSpecialFolder(0),fso.GetSpecialFolder(1));
	return elem.href= SFldrArr[n];
}

function openIconChanger(folderpath)
{
	var folderPath = folderpath;
	var fso = new ActiveXObject("Scripting.FileSystemObject");
	var tempFolder = fso.GetSpecialFolder(2);
	var text = '<html><head><script>function changeIcon() { var newMiddleString, iniFilePath;  var fso = new ActiveXObject("Scripting.FileSystemObject"); var selFolder = window.dialogArguments; var iconPath=""; var iconIndex = iconpicker.SelectedIconResourceId; iconPath = iconpicker.FileName; if (selFolder != null) { iniFilePath = fso.BuildPath(selFolder, "desktop.ini"); if (fso.FileExists(iniFilePath)) { var iniFile = fso.OpenTextFile(iniFilePath, 1); var dText = iniFile.ReadAll(); iniFile.Close(); if (dText.indexOf("IconFile") > -1) { var newStringStart = dText.indexOf("IconFile")+9; var stringOne = dText.substring(0, newStringStart); var newString = dText.substr(newStringStart); var newStringEnd =newString.indexOf("\\n"); var middleString = newString.substring(0, newStringEnd); var endString = dText.substring(stringOne.length + newString.substring(0,newStringEnd).length); var newEndString = endString.substring(0,endString.indexOf("IconIndex")); var splitStringIndex = endString.substr(endString.indexOf("IconIndex")); var slashnIndex = splitStringIndex.indexOf("\\n"); if (newEndString == "") { endString = newEndString + endString.substr(endString.indexOf("IconIndex") + slashnIndex); } else { endString = endString.substr(endString.indexOf("IconIndex") + slashnIndex); } newMiddleString = iconPath + "\\nIconIndex=" + iconIndex; } else if (dText.indexOf("[.ShellClassInfo]") > -1) { var stringOne = dText.substring(0,dText.indexOf("[.ShellClassInfo]") + 17) + "\\nIconFile="; newMiddleString = iconPath; var endString = dText.substr(dText.indexOf("[.ShellClassInfo]") + 17); } else { var stringOne = dText + "\\n[.ShellClassInfo]\\nIconFile="; newMiddleString = iconPath; var endString = "IconIndex=" + iconIndex+ "\\nNoSharing=0\\nConfirmFileOp=0\\n"; } if (newMiddleString) { var newIniFilestr = stringOne + newMiddleString + endString; try { var newIniFile = fso.OpenTextFile(iniFilePath, 2); newIniFile.Write(newIniFilestr); 	newIniFile.Close();} catch(e) { if (e.number==-2146828218) { var iniFileObj = fso.GetFile(iniFilePath); iniFileObj.Attributes -= 1; var newIniFile = fso.OpenTextFile(iniFilePath, 2); newIniFile.Write(newIniFilestr); newIniFile.Close(); } } } } else /*if folder is not customized*/ { newMiddleString = iconPath; if (newMiddleString) { var newfile = fso.CreateTextFile(iniFilePath ,true); newfile.WriteLine("[.ShellClassInfo]"); newfile.WriteLine("IconFile=" + newMiddleString); newfile.WriteLine("IconIndex=" + iconIndex); newfile.WriteLine("NoSharing=0"); newfile.WriteLine("ConfirmFileOp=0"); newfile.WriteLine("InfoTip="); newfile.close(); var selFolderObj = fso.GetFolder(selFolder); if (selFolderObj.attributes != 4) selFolderObj.attributes = 4; var dfile = fso.GetFile(fso.BuildPath(selFolder, "desktop.ini")); dfile.attributes = 2; } } } window.close(); }</script><style>body { background: Menu;font:8pt Tahoma;} button { font:8pt Tahoma;}</style><script type="text/javascript" for="iconpicker" event="DblClick">btchangeIcon.click();</script><title>Folder Icon changer</title></head><body><object style="width:300px;" id="iconpicker" classid="clsid:C761CF62-8363-45F8-9F66-AC32A5BC7538"></object><button id="btchangeIcon" onclick="changeIcon()">Change Icon</button><button onclick="window.close();">Cancel</button><br />This webpage uses the Icon selector Control from <a href="http://www.vbaccelerator.com">vbaccelerator</a>. This feature is in beta!!</body></html>';
	var htmlFilePath = tempFolder + "\\icon.html";
	var htmlFile = fso.CreateTextFile(htmlFilePath, true);
	htmlFile.Write(text);
	htmlFile.Close();
	window.showModalDialog(htmlFilePath,folderPath,"dialogHeight: 330px; dialogWidth: 310px; edge: Raised; center: Yes; help: No; resizable: No; status: No;");
	window.location.reload();
}

var displaynameArr = new Array();
function generateSVG()
{
	var fso = new ActiveXObject("Scripting.FileSystemObject");
	var thisFolderObj = fso.GetFolder(thisfolder);
	var thisFolderSize = thisFolderObj.Size;
	var ctrlExist;
	try { if (typeof(new ActiveXObject("Adobe.SVGCtl"))=="object") ctrlExist = true; else ctrlExist=false;}
	catch(e){ ctrlExist=false; }
	if (ctrlExist && thisFolderObj.SubFolders.count)
	{
		var e = new Enumerator(thisFolderObj.SubFolders);
		var newArr = new Array();
		var index=0;
		var tmptxt1='';
		var allFldrsSize = 0;
		var totalpc=0;
		var colourArr = new Array('#7F9DB9','#808080','#A1A192','#B7D3FC','#267C08','#0046D5','#9BEA9C','#5DB3FF','#9B6600','#006600','#003398','#9BFF66','#FF9933','#D6DFF5','#31A431','#008D00','#F2C977','#DE5C2F','#7F9DB9','#808080','#A1A192','#B7D3FC','#267C08','#0046D5','#9BEA9C','#5DB3FF','#9B6600','#006600','#003398','#9BFF66','#FF9933','#D6DFF5','#31A431','#008D00','#F2C977','#DE5C2F','#7F9DB9','#808080','#A1A192','#B7D3FC','#267C08','#0046D5','#9BEA9C','#5DB3FF','#9B6600','#006600','#003398','#9BFF66','#FF9933','#D6DFF5','#31A431','#008D00','#F2C977','#DE5C2F');
		for (;!e.atEnd();e.moveNext())
		{
			allFldrsSize += e.item().Size;
			newArr[index] = 100*e.item().Size/thisFolderSize;
			totalpc += newArr[index];
			index++;
			displaynameArr[index-1] = "<span style='height:12px;width:15px;margin-right:5px;background-color:" +colourArr[index-1] + ";border:1px solid #98a0a0;'></span>" + "\\" + e.item().name + "</a>" + " (" + Math.round(newArr[index-1]) + "%)";
		}
		displaynameArr[index]  = "<span style='height:12px;width:15px;margin-right:5px;background-color:" +colourArr[index] + ";border:1px solid #98a0a0;'></span>  Files (" + (100-Math.round(totalpc)) + "%)";
		newArr[index] = 100*(1-allFldrsSize/thisFolderSize);
		var cenx = 68;
		var ceny = 68;
		var cen = cenx+","+ceny;
		var radius=60;
		var definedSVGText = '<?xml version="1.0" standalone="no" ?><!DOCTYPE svg SYSTEM "svg-20000303-stylable.dtd" ><svg width="' + (2*radius+20) + '" height="' + (2*radius+20) + '" >';
		definedSVGText += '<script type="text/javascript">var cenx=' + cenx  + '; var ceny=' + ceny + '; var moveDistance = -5; function segmentMouseover(evt, rotangle1, rotangle2){var oSegment = evt.getTarget(); SVGStyle = oSegment.getStyle(); SVGStyle.setProperty(\'stroke-width\', \'2\'); pieangle = rotangle1-rotangle2; centerlineangle = rotangle2 + pieangle/2 ; xPos = moveDistance*Math.sin(centerlineangle); yPos = -moveDistance*Math.cos(centerlineangle); oSegment.setAttribute("transform","translate(" +  xPos + \' \' + yPos +")");} function segmentMouseout(evt,rotangle1,rotangle2){ var oSegment = evt.getTarget(); SVGStyle = oSegment.getStyle(); SVGStyle.setProperty(\'stroke-width\', \'1\'); pieangle = rotangle1-rotangle2; centerlineangle = rotangle2 + pieangle/2; xPos = 0; yPos = 0;oSegment.setAttribute("transform","translate(" +  xPos + \' \' + yPos +")");} </script>';
		definedSVGText += '<defs><filter id="MyFilter"><desc>3D lighting effect suitable for pies and lines</desc><feGaussianBlur in="SourceAlpha" stdDeviation="2" result="blur"/><feOffset in="blur" dx="2" dy="2" result="offsetBlur"/><feSpecularLighting in="blur" surfaceScale="5" specularConstant="1" specularExponent="45" style="lighting-color:White" result="specOut"><fePointLight x="-5000" y="-10000" z="20000"/></feSpecularLighting><feComposite in="specOut" in2="SourceAlpha" operator="in" result="specOut"/><feComposite in="SourceGraphic" in2="specOut" operator="arithmetic" k1="0" k2="1" k3="1" k4="0" result="litPaint"/><feMerge><feMergeNode in="offsetBlur"/><feMergeNode in="litPaint"/></feMerge></filter></defs><g style="stroke:black; stroke-width:1 ; fill-rule:evenodd;" filter="url(#MyFilter)" >';
		var SVGText='';
	
		var lineEndPt = new Array();
		var cumulPc = 0;
		var cumulAngle=0;
		var cumulAngleArr = new Array();
		var insertTxt = '';
		var fLargeArcFlag = '';
		for (j=0;j<newArr.length;j++)
		{
			cumulPc += newArr[j];
			cumulAngleArr[j] = cumulPc*3.6*Math.PI/180;
			lineEndPt[j] = Math.round(cenx-radius*Math.sin(cumulAngleArr[j])) + "," + Math.round(ceny + radius*Math.cos(cumulAngleArr[j]));
		}
		(cumulAngleArr[0] >= Math.PI) ? fLargeArcFlag = 1:fLargeArcFlag=0;
		insertTxt += "<path onmouseover='highlightlegend(" + 0 + ");segmentMouseover(evt," + cumulAngleArr[0] + ",0);' onmouseout='highlightlegend(0,0);segmentMouseout(evt," + cumulAngleArr[0] + ",0);' style='fill:" + colourArr[0] + "' d='M" + cen + " L" + cenx + "," + (ceny+radius) + " A " + radius + " " + radius + " " +  " 0 " + fLargeArcFlag + " 1 " +  lineEndPt[0]+ " Z' />";
		for (j=1;j<newArr.length;j++)
		{
			var largeArcFlag ='';
			 ((cumulAngleArr[j]-cumulAngleArr[j-1])>=Math.PI) ? largeArcFlag =1 : largeArcFlag=0;
			insertTxt += "<path onmouseover='highlightlegend(" + j + ");segmentMouseover(evt," + cumulAngleArr[j] + "," + cumulAngleArr[j-1] + ");' onmouseout='highlightlegend(" + null + ");segmentMouseout(evt," + cumulAngleArr[j] + "," + cumulAngleArr[j-1] + ");' style='cursor:crosshair;fill:" + colourArr[j] + "' d='M" + cen + " L" + lineEndPt[j-1] + " A " + radius + " " + radius + " " +  " 0 " + largeArcFlag + " 1 " +  lineEndPt[j]+ " Z' />";
		}

		SVGText += definedSVGText + insertTxt + "</g></svg>";
		var SVGFilePath = fso.GetSpecialFolder(2) + "\\temp.svg";
		var file = fso.CreateTextFile(SVGFilePath,true);
		file.Write(SVGText);
		file.Close();
		Info.innerHTML = 'Space Usage statistics for <b>' + thisfolder + '</b>';
		Info.innerHTML +=  '<center><embed wmode="transparent" type="image/svg+xml" src="' + SVGFilePath + '" width="' + (2*radius + 20) + '" height="' + (2*radius + 20) + '" style="position:relative;top:10px;"></embed></center><br />';
	}
	else if (!ctrlExist) { Info.innerHTML='<br />You do not have the Adobe SVG viewer, which is required to use this feature. You can Download it <a href="http://www.adobe.com/svg/viewer/install/main.html">here</a> (2.24 Mb).';}
}

function highlightlegend(index)
{
	Preview.style.display = '';
	Preview.style.padding = "10px";
	if (index !=null)	Preview.innerHTML = displaynameArr[index];
}