/****************************************************************************************************************************
			Vebwiev Core Component JScript File
			written by : elastic@virtualplastic.net for Vebwiev. Public Domain. 11:06 26/08/2001
****************************************************************************************************************************/
/*global variables*/
var fso, WSHShell, ZipObject, mp3Obj, ImgObj, TransLHActrl;
var L_Intro_Text = "This is your <span style='font-style:italic'>Vebwiev</span> customized Folder.<br /><br />";
var L_Intro_Vebwiev_Off_Text = "This is your <i>Vebwiev</i> customized Folder.<center><button class='gradbtn'  onclick='BlockFolder(item.Name)' style='height:18px'>Block</button></center><br />Processing is <a onclick='ibbtn.click();'>off.</a>";
var L_Prompt_Text = "Select an item to view its description.";
var sAttributes;
var item; /*made global!!!*/
var gAttributeNames = new Array("(normal)","Read-only", "Hidden", "System", "Archive", "Compressed", "Encrypted");
var SpecialFolders = new Array('Printers', 'Control Panel', 'Recycle Bin','Dial-Up Networking','My Network Places','My Computer','Web Folders','Scheduled Tasks'); /*add to this array if you have added any custom folders at the my computer level (the hardcore registry tweaker)*/
var NameSpace = new Array('::{20D04FE0-3AEA-1069-A2D8-08002B30309D}','::{645FF040-5081-101B-9F08-00AA002F954E}','::{20D04FE0-3AEA-1069-A2D8-08002B30309D}\\::{21EC2020-3AEA-1069-A2DD-08002B30309D}');
var WindowsFolder, SystemFolder;
var fldrArray = new Array();
var subFileObjs = new Array();
var Block_Folder_Text = "This feature enables the user to block any processing carried out on a Selected Folder. This is very useful when the Folder is large in size and takes a lot of time to process through the Vebwiev.";
var bRealView = true; /*change to false if you want to disable real file preview*/
var gFoundAuthor = true, gShowFiles = true, gTimer = 0;
var Max_Folder_Size = 1024 * 1024 * 50; /*50 Mb*/
var Blocked_Folder_List;
var topmarg = 20; /*height of the Vebwvbar*/
var iever; /* IE version*/
var bfade, vprocess, gWantMedia, bshowfilelist /*controls whether Subfilelist is seen.*/,  currentskinIndex, currentPanel, doRegCheck, lastSelectedTab;
var thisfolder;
var th, digit2 = 1;

function ShowInfo() { if (currentPanel == 1) eval(callExtFile()); }
/*********************************************** end ShowInfo() ****************************************************************/

function GetExtension(file)
{
	var s = "";
	(fso.FileExists(file.path) ? s = fso.GetExtensionName(file.path) : s = "File Folder");
	return s.toLowerCase();
}
/**************************************************** The Folder Block functions  **************************************************/
function isTooBigFolder(fldrname)
{
	Blocked_Folder_List = GetCookie("BlockedFldrList");
	if (!Blocked_Folder_List || Blocked_Folder_List == null) Blocked_Folder_List = '';
	return Blocked_Folder_List.indexOf(fldrname + ",") > -1;
}

function BlockFolder(bfolder)
{
	Blocked_Folder_List += bfolder + ",";
	SetCookie("BlockedFldrList",Blocked_Folder_List,"Mon, 31 Dec 2999 23:59:59 UTC;");
	reSelect(item);
}

function delBlockedFldrList()
{
	SetCookie("BlockedFldrList","","Mon, 31 Dec 2999 23:59:59 UTC;");
	reSelect(item);
}

function unBlockThisFolder(fldrname)
{
	var len, startindex;
	len = fldrname.length;
	startindex = Blocked_Folder_List.indexOf(fldrname);
	Blocked_Folder_List = Blocked_Folder_List.substring(0,startindex-1) + Blocked_Folder_List.substr(startindex + len);
	SetCookie("BlockedFldrList",Blocked_Folder_List,"Mon, 31 Dec 2999 23:59:59 UTC;");
	reSelect(item);
}
/*****************************************************************************************************************************/
function OnVerbInvoked()
{
	var ext2;
	/*this try code is for the reason that while pasting some file into a folder which uses the vebview, the next line generates an error, since the item being pasted is not a an object of FileList.SelectedItems().Item(i).*/
	try { ext2 = GetExtension(item); } catch(e){}
	if ((Preview.innerHTML && ext2 != 'gif') && !IsPreviewableFile(2, ext2)) /*if the second condition is not written, "textfiles" generate an error on clicking.*/
	try { MediaPlayer.Stop(); } catch(e){}
}
/*****************************************Handling events, layout of different spans and divs******************************************/
/* EVENTS*/
function Resize()
{
	/*function thats called when the window is resized.*/
	if (document.body.clientWidth < Panel.style.pixelWidth * 2)
	{
		Panel.style.display = "none";
		FileList.style.pixelLeft = 0;
		Vebwvbar.style.marginLeft = "0px";
	}
	else
	{
		Panel.style.display = "";
		Panel.style.pixelHeight = document.body.clientHeight;
		FileList.style.pixelLeft = Panel.style.pixelWidth;
		Vebwvbar.style.marginLeft = Panel.style.pixelWidth;
	}
	FileList.style.pixelWidth = document.body.clientWidth - FileList.style.pixelLeft;
	FileList.style.pixelHeight = document.body.clientHeight - topmarg;
}

function reSelect(file)
{ try { FileList.SelectItem(file,0); FileList.SelectItem(file,1); } catch(e){} }
/****************************************************************************************************************************/
/************************************************** the window.onload function ***************************************************/
function Load()
{
	window.onresize = Resize;
	Resize();
	var dofilters; /*capable of IE filters and transitions?*/
	var aV = navigator.appVersion;
	aV.indexOf('MSIE 5')>0 ? iever = 5 : aV.indexOf('MSIE 5.5')>0 ? iever = 5.5 : aV.indexOf('MSIE 6')>0 ? iever = 6 : iever = 5;
	(iever == 5.5 || iever == 6) ? dofilters = true : dofilters = false;

	/*vebwiev remembers previous settings.*/
	try { currentskinIndex = GetCookie("skinIndex"); if (!currentskinIndex) currentskinIndex=0;}
	catch(e) { currentskinIndex = 0; }
	dofilters ? changeSkin(currentskinIndex) : noskins();
	try { lastSelectedTab = GetCookie("tab"); if (!lastSelectedTab) lastSelectedTab = 1; }
	catch(e) { lastSelectedTab = 1; }
	try { showPanel(lastSelectedTab);}
	catch(e) { showPanel(1); }
	setState("pane1","vebwiev");
	setState("pane2","tasks");
	setState("pane3","folderbar");
	setState("watermark","watermark");
	setState("fldricon", "FolderIcon");
	try { vprocess = (GetCookie("cvprocess")==="true"); }
	catch(e) { vprocess = true; }
	try { bshowfilelist = (GetCookie("subfilelist")==="true"); }
	catch(e) { bshowfilelist = false; }
	try { gWantMedia = (GetCookie("media")==="true"); previewChkBx.checked = gWantMedia;}
	catch(e){ gWantMedia = true; previewChkBx.checked = true;}
	try { bfade = (GetCookie("fade")==="true"); fadeChkBx.checked = bfade;}
	catch(e){ bfade = true; fadeChkBx.checked = true;}
	try { doRegCheck = GetCookie("RegistryChk"); if (!doRegCheck) doRegCheck = 0; }
	catch(e) { doRegCheck = 0;}
	thisfolder = unescape(window.location.pathname.substr(1));
	Info.innerHTML = L_Intro_Text + L_Prompt_Text +"<br /><a href='javascript:generateSVG()'><span id='pieglyph'></span>Generate Pie Chart</a>";

	var ibstatus;
	vprocess ? ibstatus = "ON" : ibstatus = "OFF";
	ibbtnstatus.innerHTML += " ( " + ibstatus + " ) ";

	if (doRegCheck==0) /* these registry checks are done only once; the first time vebwiev runs.*/
	{
		WSHShell = new ActiveXObject("WScript.Shell");
		var midRegKey = "\\Software\\Microsoft\\Windows\\CurrentVersion\\Internet Settings\\Zones\\0\\120";
		allowActiveX("HKCU" + midRegKey + "0");
		allowActiveX("HKCU" + midRegKey + "1");
		allowActiveX("HKLM" + midRegKey + "0");
		allowActiveX("HKLM" + midRegKey + "1");
		doRegCheck = 1;
	}
}

/******************************************************* end load() ************************************************************/

function GetDriveType(type)
{
	var DriveTypeArr = new Array("Unknown","Removable","Fixed","Network","CD-ROM","RAM Disk");
	return DriveTypeArr[type];
}

function isFoldernotDrive(path) { return (fso.FolderExists(path) && !fso.DriveExists(path)); }
/************************************************* end pane functions *********************************************************/
/*********************************************** Cookie functions *************************************************************/
function SetCookie(sName,sVal,sExpires) { document.cookie = ( sName + "=" + escape(sVal) +( (sExpires) ? "; expires=" + sExpires : "" ) ); }

function GetCookie(name)
{
	var biscuit = document.cookie;
	var crumbstart = biscuit.indexOf(name + "=");
	if (crumbstart==-1) return null;
	crumbstart = biscuit.indexOf("=", crumbstart) + 1;
	var crumbend = biscuit.indexOf(";", crumbstart);
	if (crumbend==-1) crumbend = biscuit.length;
	return unescape(biscuit.substring(crumbstart,crumbend));
}

function setState(crumb,elem)
{
	try { DDDisplay = GetCookie(crumb); document.getElementById(elem).style.display = (DDDisplay=='closed' || DDDisplay==null ? "none" : "" ); if (crumb == "watermark") wmChkBx.checked = (DDDisplay=='closed' || DDDisplay==null ? true : false ); if (crumb == "fldricon") fiChkBx.checked = (DDDisplay=='closed' || DDDisplay==null ? true : false );}
	catch(e) { document.getElementById(elem).style.display = "none"; }
}

function allowActiveX(key)
{
	/* the WScript.Shell ActiveXObject might not be considered safe to run, so to allow it to run.*/
	try
	{
		var regvalue = WSHShell.RegRead(key);
		if (regvalue != 0) WSHShell.RegWrite(key, 0, "REG_DWORD");
	}
	catch(e){}
	/*1200 : Run activex controls and plugins+*/
	/*1405 : Script activex controls marked safe for scripting*/
	/*1201 : Initialize and script activex controlsnot marked safe for scripting+*/
	/*keys marked + need to be chaged to zero.*/
	/*prompt : 1 enable : 0 disable : 3*/
}
/*****************************************************************************************************************************/
function showPanel(panelNum)
{
	var currentTabObj, currentPanelObj;
	/*hide visible panel, show selected panel, set tab*/
	if (panelNum!=currentPanel)
	{
		if (currentPanel)
		{
			/*hide visible panel, unhilite tab*/
			currentPanelObj = document.getElementById('tab'+currentPanel);
			document.getElementById('panel'+currentPanel).style.visibility = 'hidden';
			currentPanelObj.className = "inactivetab";
			currentPanelObj.style.posTop += 2;
		}
		currentTabObj = document.getElementById('tab'+panelNum);
		document.getElementById('panel'+panelNum).style.visibility = 'visible';
		currentTabObj.className = "activetab";
		currentTabObj.style.posTop -= 2;
		currentPanel = panelNum;
		if (panelNum==1 && FileList.SelectedItems().Count) try{ ShowInfo(); } catch(e){}
	}
}

function hover(tab) { tab.className = "hovertab";}

function outof(tabNum,tab) { if (tabNum != currentPanel) tab.className = "inactivetab"; }

function noskins()
{
	skinSelObj = document.getElementById("skinSelector");
	skinSelObj.disabled = "disabled";
}

function changeSkin(index)
{
	currentskinIndex = index;
	var skinSelObj = document.getElementById("skinSelector");
	var ssCount = document.styleSheets;
	for (n=1;n<ssCount.length;n++)
		ssCount.item(n).disabled = !((skinSelObj.options[index].value+"sheet")==ssCount.item(n).id);
	skinSelObj.selectedIndex = index;
	if ((skinSelObj.options[index].value=="crystal"))  { skinInfo.style.display = ""; skinInfo.innerText = "Please visit Everaldo's crystal site at http://www.everaldo.com"; }
	else skinInfo.style.display="none";
}

function fadeAllow(stage)
{
	if (currentPanel ==1)
	try
	{
		if (stage==0) 
		{
			Info.style.filter = "progid:DXImageTransform.Microsoft.Fade(Overlap=.5)";
			Info.filters[0].apply();
		}
		else Info.filters[0].play();
	}
	catch(e){}
}

function callExtFile()
{
	try {
	fso = new ActiveXObject("Scripting.FileSystemObject");
	var loc = unescape(document.URL.substring(document.URL.lastIndexOf("/")+1,document.URL.lastIndexOf("\\")));
	var includeFileStr = loc + "\\include.js";
	var includeFileObj = fso.OpenTextFile(includeFileStr,1);
	var processText = includeFileObj.ReadAll();
	return processText;
	}
	catch(e){}
}
/***************************************************** End of File *************************************************************/